Package org.eclipse.graphiti.tb

# Class AnchorSelectionInfoImpl

java.lang.Object
org.eclipse.graphiti.tb.SelectionInfoImpl
org.eclipse.graphiti.tb.ShapeSelectionInfoImpl
org.eclipse.graphiti.tb.AnchorSelectionInfoImpl

All Implemented Interfaces:
  `IAnchorSelectionInfo`, `ISelectionInfo`, `IShapeSelectionInfo`

public class AnchorSelectionInfoImpl extends ShapeSelectionInfoImpl implements IAnchorSelectionInfo

Since:
  0.10

## Constructor Summary

Constructors
Constructor
Description
`AnchorSelectionInfoImpl()`

## Method Summary

### Methods inherited from class org.eclipse.graphiti.tb.ShapeSelectionInfoImpl

`getPrimarySelectionBackgroundColor, getPrimarySelectionHandleBackgroundColor, getPrimarySelectionHandleForegroundColor, getSecondarySelectionBackgroundColor, getSecondarySelectionHandleBackgroundColor, getSecondarySelectionHandleForegroundColor, setPrimarySelectionBackgroundColor, setPrimarySelectionHandleBackgroundColor, setPrimarySelectionHandleForegroundColor, setSecondarySelectionBackgroundColor, setSecondarySelectionHandleBackgroundColor, setSecondarySelectionHandleForegroundColor`

### Methods inherited from class org.eclipse.graphiti.tb.SelectionInfoImpl

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, getLineWidth, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle, setLineWidth`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.tb.ISelectionInfo

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, getLineWidth, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle, setLineWidth`

### Methods inherited from interface org.eclipse.graphiti.tb.IShapeSelectionInfo

`getPrimarySelectionBackgroundColor, getPrimarySelectionHandleBackgroundColor, getPrimarySelectionHandleForegroundColor, getSecondarySelectionBackgroundColor, getSecondarySelectionHandleBackgroundColor, getSecondarySelectionHandleForegroundColor, setPrimarySelectionBackgroundColor, setPrimarySelectionHandleBackgroundColor, setPrimarySelectionHandleForegroundColor, setSecondarySelectionBackgroundColor, setSecondarySelectionHandleBackgroundColor, setSecondarySelectionHandleForegroundColor`

## Constructor Details

### AnchorSelectionInfoImpl

public AnchorSelectionInfoImpl()